* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

body {
    background-color: #fff;
    color: #000;
    font: 1rem/1.5 system-ui, sans-serif;
}

main {
    margin: 2.5rem auto;
    padding: 0 1rem;
    max-width: 960px;
}

ul {
    list-style: none;
}

.skills {
    margin: 2rem 0;
}

.skills li {
    display: block;
    margin-bottom: 1rem;
    position: relative;
}

.skills span {
    text-transform: uppercase;
    letter-spacing: .1rem;
    display: block;
    margin-bottom: 0.2rem;
    width: 100%;
    font-weight: bold;
}

.skills li:before {
    content: attr(data-value) '%';
    position: absolute;
    top: 0;
    right: 0;
}

.skills li:after {
    content: '';
    display: block;
    width: var(--width, 0%);
    height: 1rem;
    background-color: #b00;
    border-radius: 0.5rem;
    transition: width 400ms ease-in;
}